org.eclipse.wst.jsdt.chromium

## Class Version

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.Version

All Implemented Interfaces:
  java.lang.Comparable<Version>

    public class Version
    extends java.lang.Object
    implements java.lang.Comparable<Version>

An object that describes a number-based version. A version consists of dot-separated integers and an optional string addendum.

### Constructor Summary

Constructors
Constructor and Description
`Version(java.lang.Integer... components)` Constructs an immutable Version instance given the numeric components of version.
`Version(java.util.List<java.lang.Integer> components, java.lang.String textComponent)` Constructs an immutable Version instance given the numeric components of version and optional text component.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `compareTo(Version other)`
`boolean` `equals(java.lang.Object obj)`
`java.util.List<java.lang.Integer>` `getComponents()`
`int` `hashCode()`
`static Version` `parseString(java.lang.String text)` Parses string as version as far as it is dot-delimited integer numbers.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Version

    public Version(java.lang.Integer... components)

Constructs an immutable Version instance given the numeric components of version.

#### Version

    public Version(java.util.List<java.lang.Integer> components,
                   java.lang.String textComponent)

Constructs an immutable Version instance given the numeric components of version and optional text component.

### Method Detail

#### getComponents

    public java.util.List<java.lang.Integer> getComponents()

Returns:
  numeric components of version in form of list of integers

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(Version other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Version>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### parseString

    public static Version parseString(java.lang.String text)

Parses string as version as far as it is dot-delimited integer numbers.

Parameters:
  `text` - string representation of version; not null
Returns:
  new instance of version or null if text is not version.